net.sf.okapi.common

## Interface ISimplifierRulesParameters

-     public interface ISimplifierRulesParameters

  Implemented by `IFilter` `IParameters` to provide code simplifier rule support.
  Author:
    jimh

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SIMPLIFIERRULES`
    `static java.lang.String` | `SIMPLIFIERRULES_DISPLAY_NAME`
    `static java.lang.String` | `SIMPLIFIERRULES_SHORT_DESC`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getSimplifierRules()` Get the code simplifier rules as defined by `SimplifierRules` (JavaCC file: core/simplifierrules/SimplifierRules.jj).
    `void` | `setSimplifierRules(java.lang.String rules)` Set the simplifier rules.
    `void` | `validateSimplifierRules()` Validate the current code simplifier rules.

- - ### Field Detail

    - #### SIMPLIFIERRULES

          static final java.lang.String SIMPLIFIERRULES

      See Also:
        Constant Field Values

    - #### SIMPLIFIERRULES_SHORT_DESC

          static final java.lang.String SIMPLIFIERRULES_SHORT_DESC

      See Also:
        Constant Field Values

    - #### SIMPLIFIERRULES_DISPLAY_NAME

          static final java.lang.String SIMPLIFIERRULES_DISPLAY_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getSimplifierRules

          java.lang.String getSimplifierRules()

      Get the code simplifier rules as defined by `SimplifierRules` (JavaCC file: core/simplifierrules/SimplifierRules.jj).
      Returns:
        rules as a string.

    - #### setSimplifierRules

          void setSimplifierRules(java.lang.String rules)

      Set the simplifier rules.
      Parameters:
        `rules` - new simplifier rules

    - #### validateSimplifierRules

          void validateSimplifierRules()
                                throws ParseException

      Validate the current code simplifier rules.
      Throws:
        `ParseException` - if the rule cannot be parsed